Subject: Re: bug#72925: Adding JPM package for Janet

From: "Suhail Singh" <[email-masked]>
Date: Tue, 05 Nov 2024 12:13:14 -0500

Ludo’ (or anyone else with sufficient experience),

Suhail Singh <[email-masked]> writes:

>> I suppose JPM shells out to GCC to compiler Janet (or C?) code, right?
>>
>> I’d recommend adding ‘gcc’, ‘glibc’, ‘binutils’, and ‘ld-wrapper’ to
>> ‘inputs’; that’d less us avoid the ‘gcc-toolchain’ dance.
>
> It seems "ld-wrapper" requires (gnu packages commencement) and this
> results in doing the lazy dereference similar to gcc-toolchain above.
> Am I doing something wrong?  If not, is the guidance still to add
> "ld-wrapper" to inputs?
>
>> Then in, the phase above, make sure to ‘search-input-file’ rather than
>> direct references to these variables.
>
> Hmm just to be clear, instead of:
>
> #+begin_src scheme
>   `("C_INCLUDE_PATH" ":" prefix
>     (,(string-append gcc-toolchain "/include")))
> #+end_src
>
>
> What we want is something like:
>
> #+begin_src scheme
>   `("C_INCLUDE_PATH" ":" prefix
>     (,(search-input-file inputs "/include")))
> #+end_src
>
> Is my understanding correct?
>
> If so, adding "gcc", "glibc", "binutils", and "ld-wrapper" seems
> insufficient to make that work.  The search-input-file for "/include"
> results in a "&search-error" when building the package.

Could you please clarify the above?  Is v13 I sent good enough?  If not,
could someone provide guidance on what's left to do?

Regards,
-- 
Suhail